Subject: Re: bug#35791: 12.1.2; Cannot preview anything, Latex found no preview images

From: Ikumi Keita <[email-masked]>
Date: Tue, 21 May 2019 14:27:32 +0900

Hi Pim,

>>>>> Pim Remkes <[email-masked]> writes:
> After having done this I had issues with
> the current version of 'rungs' included in tex live 2019. The issues I
> got were similar to
> https://bugs.ghostscript.com/show_bug.cgi?id=698680 if anyone is
> interested. I was able to fix this (for now) by making use of
> 'mgs.exe' included with MiKTeX.

As far as I know, the referred problem was resolved shortly after that.
On my side, "rungs" in TeXLive 2019 does not cause such trouble, both on
windows 10 and freebsd 12.  I quote the partial log of the former below.

Maybe your rungs is confused by the two instances of the ghostscript
executables, namely the one under c:/texlive/2019/tlpkg/tlgs and
"mgs.exe".

Regards,
Ikumi Keita

Running `Preview-LaTeX' on `c:/Users/keita/Downloads/_region_' with ``pdflatex  -file-line-error   "\nonstopmode\nofiles\PassOptionsToPackage{active,tightpage,auctex}{preview}\AtBeginDocument{\ifx\ifPreview\undefined\RequirePackage[displaymath,floats,graphics,textmath,sections,footnotes]{preview}[2004/11/05]\fi}" "\input" "{\detokenize{" "_region_.tex" "}}"''
This is pdfTeX, Version 3.14159265-2.6-1.40.20 (TeX Live 2019/W32TeX) (preloaded format=pdflatex)
 restricted \write18 enabled.
entering extended mode
LaTeX2e <2018-12-01>

...(snip)...

Output written on _region_.pdf (7 pages, 39759 bytes).
Transcript written on _region_.log.

TeX Output exited as expected with code 1 at Tue May 21 14:05:44
Running `Preview-PDF2DSC' with ``pdf2dsc "_region_".pdf "_region_.prv/tmpfwHa4X"/preview.dsc''

Preview-PDF2DSC finished at Tue May 21 14:05:49
Running `Preview-Ghostscript' with ``"c:/texlive/2019/bin/win32/rungs.exe" ^"-dOutputFile=^(_region_.prv/tmpfwHa4X/pr1-^%d.png^)^" "-q" "-dDELAYSAFER" "-dNOPAUSE" "-DNOPLATFONTS" "-dPrinted" "-dTextAlphaBits=4" "-dGraphicsAlphaBits=4" "-sDEVICE=png16m" "-r121.034x120.663"''

Preview-Ghostscript finished at Tue May 21 14:05:52